Ghostscript (gs.exe) is a program to view postscript files on a
computer display or print to a non-postscript printer.  Many
thanks to the primary author of Ghostscript, Peter Deutsch:

L. Peter Deutsch :: Aladdin Enterprises :: P.O. box 60264, Palo Alto, CA 94306
ghost@aladdin.com ; ...decwrl!aladdin!ghost ; (415)322-0103 <<< new phone #

------------------------------------------------------------
Please read the file COPYING for license and distribution restrictions.

Note that the full source for ghostscript 2.3 is available from

	prep.ai.mit.edu

in directory pub/gnu. 
------------------------------------------------------------
This archive includes Ghostscript Version 2.3 built from the
distribution source (available from prep.ai.mit.edu) to support the
following devices:

Screen:
	Borland BGI	- requires Borland BGI drivers
	VGA		- Built in
	EGA		- Built in

Printers:
	Epson		- Built in (epson)
	HP Deskjet	- Built in (deskjet)
	HP Laserjet	- Built in (laserjet)
	HP Laserjet IIP	- Built in (ljet2p)
	HP Laserjet III - Built in (ljet3)
	HP Paintjet	- Built in (paintjet)

Use the above printer names as shown for the -sDEVICE=
or selectdevice names (see use.doc) for printer output.

In this archive, ghostscript was built with two different Epson
printers, typically usable with either the 24-pin or 9-pin printer as
follows:

	gs180.exe   180x180 dots/inch   24-pin Epson printer
	gs72.exe     60x72 dost/inch     9-pin Epson printer
	
The Borland BGI interface can be used to view postscript files on
other types of video screens, for example:

	Screen Type	BGI Driver

	Hercules	herc.bgi
	CGA		cga.bgi
	SVGA		svga256.bgi or svga16.bgi (available from Simtel)

The .bgi files are not included in this archive in accordance with
the Borland license.

Excellent output is obtained on a 1024x768x256 SVGA setup by having
the file svga256.bgi (from svgabg21.zip) in the same directory as
gs.exe and setting the environment variable:

	bgiuser=4.svga256

See use.doc on how to send a postscript file to a specific printer
device.

An assortment of postscript samples are included in the archive.

All the user oriented documentation from the Ghostscript source
is included in the archive.

I have tested the screen output in cga, vga and hercules modes. Epson
printer output on 9-pin and 24-pin printers was tested using the 2.3
epson driver (but with the gs 2.2 code).

Newsgroup gnu.ghostscript.bugs contains discussion of ghostscript
issues.


1 Examples

Example to show golfer.ps:

	gs golfer.ps > foo

> foo directs error messages from the screen to file foo.

	Type quit to exit from ghostscript.

Example to show multiple postscript files:

	gs pltfile.ps output.ps > foo

Note that after each picture a carriage return will go onto
either the next page or the next file.

2. Use after ghostscript is running

	Within ghostscript, one can type any postscript command
(e.g.  1.5 1.5 scale to scale x and y by factor 1.5)

	Within ghostscript, one can execute a new file:

	(filename.ps) run

3. Hercules mode exceptions

	Commands within ghostscript will be readable on the screen,
except in hercules screens, where the commands will have to be typed
"blind".  If you get stuck on the graphics screen in hercules (e.g.
if you exit with a control-c), type 

			textmode

to return to a text screen.

4. Fonts

	This distribution contains only the "ugly" font.  All the
other fonts can be obtained by anonymous ftp from prep.ai.mit.edu in
pub/gnu, or simtel in the following files: gs22fnta.zip,
gs22fntb.zip, gs22fntc.zip, gs22fntd.zip, gs22fnte.zip in directory
pd1:<msdos.postscript>.

Best of luck... nate liskov  nate@neutron.lcs.mit.edu

PS.  My only contribution is the compilation of this archive and the
textmode.com program.